import { Component, OnInit, Optional, Self } from '@angular/core';
import { Input } from '@angular/core';
import { NgControl } from '@angular/forms';

@Component({
    selector: 'app-grid-buttons',
    templateUrl: 'grid-button.component.html',
    styleUrls: ['grid-button.component.scss'],
})
export class GridButtonComponent implements OnInit {

    @Input()
    public data: any[] = [];

    @Input()
    public array: any[] = [];

    @Input()
    public disabled = false;

    constructor(
        @Self() @Optional() public control: NgControl
    ) {
        // eslint-disable-next-line @typescript-eslint/no-unused-expressions
        this.control && (this.control.valueAccessor = this);
    }


    public onChangeFn = (_: any) => { };

    public onTouchedFn = () => { };

    ngOnInit() { }

    public get invalid(): boolean {
        return this.control ? this.control.invalid : false;
    }

    public get showError(): boolean {
        if (!this.control) {
            return false;
        }

        const { dirty, touched } = this.control;

        return this.invalid ? dirty || touched : false;
    }

    public registerOnChange(fn: any): void {
        this.onChangeFn = fn;
    }

    public registerOnTouched(fn: any): void {
        this.onTouchedFn = fn;
    }

    public setDisabledState(isDisabled: boolean): void {
        this.disabled = isDisabled;
    }

    public writeValue(obj: any): void {
        this.data = obj;
    }

    isSelected(item: any) {
        return this.data.indexOf(item.id) > -1;
    }

    toggleItem(item: any) {
        if (this.isSelected(item)) {
            const index = this.data.indexOf(item.id);
            this.data.splice(index, 1);
        } else {
            // this.writeValue(item.id);
            this.data.push(item.id);
        }
        this.onChangeFn(this.data);
    }
}
